/***********************************************************************

GECCO, a platform for command and control gaming

Copyright (C) 2001 Henrik Bäärnhielm, Andreas Enblom, Niklas
Hallenfur, Karl Hasselström, Henrik Hägerström, Oskar Linde, Jing Fu
Zi and Jon Åslund

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
USA.

***********************************************************************/

package gecco.client;
import java.awt.*;

import java.util.*;

/**
 *  This is an adapter for the Server interface, all methods are implemented to
 *  do nothing.
 *
 * @author     Andreas Enblom.
 * @created    June 27, 2001
 */
public class ServerAdapter implements Server {
    /**
     *  Gets the AvailableRoles attribute of the ServerAdapter object
     *
     * @return    The AvailableRoles value
     */
    public StringTokenizer getAvailableRoles() {
        return null;
    }


    /**
     *  Gets the Map attribute of the ServerAdapter object
     *
     * @return    The Map value
     */
    public Image getMap() {
        return null;
    }


    /**
     *  Gets the MapUpperLeft attribute of the ServerAdapter object
     *
     * @return    The MapUpperLeft value
     */
    public Point getMapUpperLeft() {
        return new Point(0, 0);
    }


    /**
     *  Gets the MapSize attribute of the ServerAdapter object
     *
     * @return    The MapSize value
     */
    public Dimension getMapSize() {
        return new Dimension(1, 1);
    }


    /**
     *  Description of the Method
     *
     * @param  host  Description of Parameter
     * @param  port  Description of Parameter
     * @return       Description of the Returned Value
     */
    public boolean connect(String host, int port) {
        return false;
    }


    /**
     *  Description of the Method
     */
    public void disconnect() {
    }


    /**
     *  Description of the Method
     *
     * @param  role  Description of Parameter
     * @return       Description of the Returned Value
     */
    public boolean joinAsRole(String role) {
        return false;
    }


    /**
     *  Description of the Method
     */
    public void startGame() {
    }


    /**
     *  Description of the Method
     *
     * @param  pieceHandle  Description of Parameter
     * @param  a            Description of Parameter
     * @return              Description of the Returned Value
     */
    public long doAction(int pieceHandle, Action a) {
        return 0;
    }


    /**
     *  Description of the Method
     *
     * @param  actionId  Description of Parameter
     */
    public void abortAction(long actionId) {
    }
}
